Generation Framework

## org.eclipse.gmf.mappings.util
Class GMFMapSwitch<T>

    java.lang.Object
      org.eclipse.gmf.mappings.util.GMFMapSwitch<T>

    public class GMFMapSwitch<T>

extends java.lang.Object

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `GMFMapPackage`
** Generated **

Field Summary
`protected static GMFMapPackage` `modelPackage` The cached model package

Constructor Summary
`GMFMapSwitch()` Creates an instance of the switch

Method Summary
`T` `caseAppearanceSteward(AppearanceSteward object)` Returns the result of interpretting the object as an instance of 'Appearance Steward'
`T` `caseAuditable(Auditable object)` Returns the result of interpretting the object as an instance of 'Auditable'
`T` `caseAuditContainer(AuditContainer object)` Returns the result of interpretting the object as an instance of 'Audit Container'
`T` `caseAuditedMetricTarget(AuditedMetricTarget object)` Returns the result of interpretting the object as an instance of 'Audited Metric Target'
`T` `caseAuditRule(AuditRule object)` Returns the result of interpretting the object as an instance of 'Audit Rule'
`T` `caseCanvasMapping(CanvasMapping object)` Returns the result of interpretting the object as an instance of 'Canvas Mapping'
`T` `caseChildReference(ChildReference object)` Returns the result of interpretting the object as an instance of 'Child Reference'
`T` `caseCompartmentMapping(CompartmentMapping object)` Returns the result of interpretting the object as an instance of 'Compartment Mapping'
`T` `caseConstraint(Constraint object)` Returns the result of interpretting the object as an instance of 'Constraint'
`T` `caseDesignLabelMapping(DesignLabelMapping object)` Returns the result of interpretting the object as an instance of 'Design Label Mapping'
`T` `caseDiagramElementTarget(DiagramElementTarget object)` Returns the result of interpretting the object as an instance of 'Diagram Element Target'
`T` `caseDomainAttributeTarget(DomainAttributeTarget object)` Returns the result of interpretting the object as an instance of 'Domain Attribute Target'
`T` `caseDomainElementTarget(DomainElementTarget object)` Returns the result of interpretting the object as an instance of 'Domain Element Target'
`T` `caseElementInitializer(ElementInitializer object)` Returns the result of interpretting the object as an instance of 'Element Initializer'
`T` `caseFeatureInitializer(FeatureInitializer object)` Returns the result of interpretting the object as an instance of 'Feature Initializer'
`T` `caseFeatureLabelMapping(FeatureLabelMapping object)` Returns the result of interpretting the object as an instance of 'Feature Label Mapping'
`T` `caseFeatureSeqInitializer(FeatureSeqInitializer object)` Returns the result of interpretting the object as an instance of 'Feature Seq Initializer'
`T` `caseFeatureValueSpec(FeatureValueSpec object)` Returns the result of interpretting the object as an instance of 'Feature Value Spec'
`T` `caseLabelMapping(LabelMapping object)` Returns the result of interpretting the object as an instance of 'Label Mapping'
`T` `caseLinkConstraints(LinkConstraints object)` Returns the result of interpretting the object as an instance of 'Link Constraints'
`T` `caseLinkMapping(LinkMapping object)` Returns the result of interpretting the object as an instance of 'Link Mapping'
`T` `caseMapping(Mapping object)` Returns the result of interpretting the object as an instance of 'Mapping'
`T` `caseMappingEntry(MappingEntry object)` Returns the result of interpretting the object as an instance of 'Mapping Entry'
`T` `caseMeasurable(Measurable object)` Returns the result of interpretting the object as an instance of 'Measurable'
`T` `caseMenuOwner(MenuOwner object)` Returns the result of interpretting the object as an instance of 'Menu Owner'
`T` `caseMetricContainer(MetricContainer object)` Returns the result of interpretting the object as an instance of 'Metric Container'
`T` `caseMetricRule(MetricRule object)` Returns the result of interpretting the object as an instance of 'Metric Rule'
`T` `caseNeedsContainment(NeedsContainment object)` Returns the result of interpretting the object as an instance of 'Needs Containment'
`T` `caseNodeMapping(NodeMapping object)` Returns the result of interpretting the object as an instance of 'Node Mapping'
`T` `caseNodeReference(NodeReference object)` Returns the result of interpretting the object as an instance of 'Node Reference'
`T` `caseNotationElementTarget(NotationElementTarget object)` Returns the result of interpretting the object as an instance of 'Notation Element Target'
`T` `caseReferenceNewElementSpec(ReferenceNewElementSpec object)` Returns the result of interpretting the object as an instance of 'Reference New Element Spec'
`T` `caseRuleBase(RuleBase object)` Returns the result of interpretting the object as an instance of 'Rule Base'
`T` `caseToolOwner(ToolOwner object)` Returns the result of interpretting the object as an instance of 'Tool Owner'
`T` `caseTopNodeReference(TopNodeReference object)` Returns the result of interpretting the object as an instance of 'Top Node Reference'
`T` `caseValueExpression(ValueExpression object)` Returns the result of interpretting the object as an instance of 'Value Expression'
`T` `defaultCase(org.eclipse.emf.ecore.EObject object)` Returns the result of interpretting the object as an instance of 'EObject'
`protected T` `doSwitch(org.eclipse.emf.ecore.EClass theEClass, org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
`T` `doSwitch(org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
`protected T` `doSwitch(int classifierID, org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelPackage

    protected static GMFMapPackage modelPackage

  The cached model package

  ** Generated **

Constructor Detail

### GMFMapSwitch

    public GMFMapSwitch()

  Creates an instance of the switch.

  ** Generated **

Method Detail

### doSwitch

    public T doSwitch(org.eclipse.emf.ecore.EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.
  ** Generated **

### doSwitch

    protected T doSwitch(org.eclipse.emf.ecore.EClass theEClass,
                         org.eclipse.emf.ecore.EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.
  ** Generated **

### doSwitch

    protected T doSwitch(int classifierID,
                         org.eclipse.emf.ecore.EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.
  ** Generated **

### caseMappingEntry

    public T caseMappingEntry(MappingEntry object)

  Returns the result of interpretting the object as an instance of 'Mapping Entry'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Mapping Entry'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseNeedsContainment

    public T caseNeedsContainment(NeedsContainment object)

  Returns the result of interpretting the object as an instance of 'Needs Containment'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Needs Containment'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseNodeReference

    public T caseNodeReference(NodeReference object)

  Returns the result of interpretting the object as an instance of 'Node Reference'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Node Reference'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseChildReference

    public T caseChildReference(ChildReference object)

  Returns the result of interpretting the object as an instance of 'Child Reference'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Child Reference'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseTopNodeReference

    public T caseTopNodeReference(TopNodeReference object)

  Returns the result of interpretting the object as an instance of 'Top Node Reference'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Top Node Reference'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseNodeMapping

    public T caseNodeMapping(NodeMapping object)

  Returns the result of interpretting the object as an instance of 'Node Mapping'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Node Mapping'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseCompartmentMapping

    public T caseCompartmentMapping(CompartmentMapping object)

  Returns the result of interpretting the object as an instance of 'Compartment Mapping'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Compartment Mapping'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseLinkMapping

    public T caseLinkMapping(LinkMapping object)

  Returns the result of interpretting the object as an instance of 'Link Mapping'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Link Mapping'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseCanvasMapping

    public T caseCanvasMapping(CanvasMapping object)

  Returns the result of interpretting the object as an instance of 'Canvas Mapping'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Canvas Mapping'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseLabelMapping

    public T caseLabelMapping(LabelMapping object)

  Returns the result of interpretting the object as an instance of 'Label Mapping'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Label Mapping'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseFeatureLabelMapping

    public T caseFeatureLabelMapping(FeatureLabelMapping object)

  Returns the result of interpretting the object as an instance of 'Feature Label Mapping'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Feature Label Mapping'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseDesignLabelMapping

    public T caseDesignLabelMapping(DesignLabelMapping object)

  Returns the result of interpretting the object as an instance of 'Design Label Mapping'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Design Label Mapping'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseMapping

    public T caseMapping(Mapping object)

  Returns the result of interpretting the object as an instance of 'Mapping'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Mapping'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseConstraint

    public T caseConstraint(Constraint object)

  Returns the result of interpretting the object as an instance of 'Constraint'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Constraint'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseLinkConstraints

    public T caseLinkConstraints(LinkConstraints object)

  Returns the result of interpretting the object as an instance of 'Link Constraints'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Link Constraints'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseValueExpression

    public T caseValueExpression(ValueExpression object)

  Returns the result of interpretting the object as an instance of 'Value Expression'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Value Expression'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseElementInitializer

    public T caseElementInitializer(ElementInitializer object)

  Returns the result of interpretting the object as an instance of 'Element Initializer'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Element Initializer'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseFeatureSeqInitializer

    public T caseFeatureSeqInitializer(FeatureSeqInitializer object)

  Returns the result of interpretting the object as an instance of 'Feature Seq Initializer'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Feature Seq Initializer'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseFeatureInitializer

    public T caseFeatureInitializer(FeatureInitializer object)

  Returns the result of interpretting the object as an instance of 'Feature Initializer'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Feature Initializer'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseFeatureValueSpec

    public T caseFeatureValueSpec(FeatureValueSpec object)

  Returns the result of interpretting the object as an instance of 'Feature Value Spec'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Feature Value Spec'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseReferenceNewElementSpec

    public T caseReferenceNewElementSpec(ReferenceNewElementSpec object)

  Returns the result of interpretting the object as an instance of 'Reference New Element Spec'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Reference New Element Spec'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseMenuOwner

    public T caseMenuOwner(MenuOwner object)

  Returns the result of interpretting the object as an instance of 'Menu Owner'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Menu Owner'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseToolOwner

    public T caseToolOwner(ToolOwner object)

  Returns the result of interpretting the object as an instance of 'Tool Owner'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Tool Owner'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseAppearanceSteward

    public T caseAppearanceSteward(AppearanceSteward object)

  Returns the result of interpretting the object as an instance of 'Appearance Steward'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Appearance Steward'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseAuditContainer

    public T caseAuditContainer(AuditContainer object)

  Returns the result of interpretting the object as an instance of 'Audit Container'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Audit Container'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseAuditRule

    public T caseAuditRule(AuditRule object)

  Returns the result of interpretting the object as an instance of 'Audit Rule'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Audit Rule'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseRuleBase

    public T caseRuleBase(RuleBase object)

  Returns the result of interpretting the object as an instance of 'Rule Base'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Rule Base'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseDomainElementTarget

    public T caseDomainElementTarget(DomainElementTarget object)

  Returns the result of interpretting the object as an instance of 'Domain Element Target'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Domain Element Target'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseDomainAttributeTarget

    public T caseDomainAttributeTarget(DomainAttributeTarget object)

  Returns the result of interpretting the object as an instance of 'Domain Attribute Target'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Domain Attribute Target'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseDiagramElementTarget

    public T caseDiagramElementTarget(DiagramElementTarget object)

  Returns the result of interpretting the object as an instance of 'Diagram Element Target'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Diagram Element Target'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseNotationElementTarget

    public T caseNotationElementTarget(NotationElementTarget object)

  Returns the result of interpretting the object as an instance of 'Notation Element Target'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Notation Element Target'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseMetricContainer

    public T caseMetricContainer(MetricContainer object)

  Returns the result of interpretting the object as an instance of 'Metric Container'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Metric Container'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseMetricRule

    public T caseMetricRule(MetricRule object)

  Returns the result of interpretting the object as an instance of 'Metric Rule'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Metric Rule'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseAuditedMetricTarget

    public T caseAuditedMetricTarget(AuditedMetricTarget object)

  Returns the result of interpretting the object as an instance of 'Audited Metric Target'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Audited Metric Target'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseAuditable

    public T caseAuditable(Auditable object)

  Returns the result of interpretting the object as an instance of 'Auditable'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Auditable'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseMeasurable

    public T caseMeasurable(Measurable object)

  Returns the result of interpretting the object as an instance of 'Measurable'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Measurable'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### defaultCase

    public T defaultCase(org.eclipse.emf.ecore.EObject object)

  Returns the result of interpretting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'EObject'.
  See Also:
    `doSwitch(org.eclipse.emf.ecore.EObject)`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.